<?php
/**
 * Header color
 *
 * @package    Silver
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2016, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

if ( ! function_exists( 'silver_customizer_accent_colors' ) && class_exists( 'Customizer_Library_Styles' ) ) :
/**
 * Process user options to generate CSS needed to implement the choices.
 *
 * @since  1.0.0
 */
function silver_customizer_accent_colors() {

	// Header Background Color
	$accent = silver_mod( PREFIX . 'accent-colors' );

	if ( $accent !== customizer_library_get_default( PREFIX . 'accent-colors' ) ) {

		$color = sanitize_hex_color( $accent );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.featured-box-title',
				'.text-dark a.tag-link',
				'.text-light a.tag-link',
				'.button'
			),
			'declarations' => array(
				'background-color' => $color
			)
		) );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.slider-collage .slide-content'
			),
			'declarations' => array(
				'background-color' => silver_hex2rgba( $color, 0.85 )
			)
		) );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.widget-title:before',
				'.indexpage-title:after'
			),
			'declarations' => array(
				'background' => 'linear-gradient(to right, ' . $color . ' 2.3rem, #efefef 2.3rem, #efefef 100%)'
			)
		) );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.text-dark a:hover .share-btn',
				'.text-light a:hover .share-btn',
				'.text-dark .share-btn:hover',
				'.text-light .share-btn:hover'
			),
			'declarations' => array(
				'background-color' => silver_hex2rgba( $color, 0.8 )
			)
		) );
	}

}
endif;
add_action( 'silver_customizer_library_styles', 'silver_customizer_accent_colors' );
