<?php
// Get the data set in customizer
$cat = silver_mod( PREFIX . 'post-cat' );
$tag = silver_mod( PREFIX . 'post-tag' );
$img = silver_mod( PREFIX . 'post-featured' );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<header class="entry-header">

		<?php the_title( '<h2 class="post-title pad-bottom-2 text-center">', '</h2>' ); ?>

		<?php if ( 'post' == get_post_type() ) : ?>
			<?php
				$categories = get_the_category();
				if ( $categories && silver_categorized_blog() && $cat ) :
			?>
				<ul class="post-tags-list list-inline nomargin pad-bottom-3">
					<?php foreach( $categories as $category ) : ?>
						<li class="post-tag">
							<a class="tag-link micro text-uppercase" href="<?php echo esc_url( get_category_link( $category->term_id ) ); ?>"><?php echo esc_html( $category->name ); ?></a>
						</li>
					<?php endforeach; ?>
				</ul>
			<?php endif; // End if categories ?>
		<?php endif; ?>

	</header>

	<div class="wrapper-meta-share row pad-bottom-5 pad-top">

		<div class="col-xs-12 col-lg-6">
			<div class="post-meta pad-top pad-bottom text-uppercase text-left muted micro meta">
				<?php silver_posted_on(); ?>
			</div>
		</div>

		<?php silver_entry_share(); ?>

	</div>

	<div class="wrapper-post wrapper-text">
		<div class="post-text">

			<?php if ( has_post_format( 'video' ) ) : ?>
				<div class="wrapper-post wrapper-video">
					<div class="media-embed pad-top-2 pad-bottom-3 hover-fade">
						<?php echo hybrid_media_grabber( array( 'type' => 'video', 'split_media' => true ) ); ?>
					</div>
				</div>
			<?php elseif ( has_post_format( 'audio' ) ) : ?>
				<div class="media-full">
					<?php echo hybrid_media_grabber( array( 'type' => 'audio', 'split_media' => true ) ); ?>
				</div>
			<?php elseif ( ! has_post_format( 'quote' ) ) : ?>
				<?php if ( has_post_thumbnail() && $img ) : ?>
					<figure class="media-full">
						<?php the_post_thumbnail( 'large', array( 'class' => 'entry-thumbnail', 'alt' => esc_attr( get_the_title() ) ) ); ?>
					</figure>
				<?php endif; ?>
			<?php endif; ?>

			<?php the_content(); ?>
			<?php
				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'silver' ),
					'after'  => '</div>',
				) );
			?>

		</div>
	</div>

	<footer class="entry-footer">

		<?php
			$tags = get_the_tags();
			if ( $tags && $tag ) :
		?>
			<span class="tag-links">
				<?php foreach( $tags as $tag ) : ?>
					<a href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>">#<?php echo esc_attr( $tag->name ); ?></a>
				<?php endforeach; ?>
			</span>
		<?php endif; ?>

	</footer>

</article><!-- #post-## -->
