<?php
// Check if there's a menu assigned to the 'primary' location.
if ( ! has_nav_menu( 'primary' ) ) {
	return;
}
?>

<div class="site-top island-1 wide container-flex text-dark">
	<div class="container">
		<div class="row">

			<div class="site-navigation col-xs-1 col-sm-8 text-left island-1">
				<nav class="site-nav">

					<?php wp_nav_menu(
						array(
							'theme_location'  => 'primary',
							'container_class' => 'container',
							'menu_id'         => 'menu-primary-items',
							'menu_class'      => 'nav-links list-unstyled list-inline nomargin text-left text-uppercase',
							'walker'          => new Silver_Bootstrap_Walker
						)
					); ?>

				</nav><!-- .site-nav -->

				<nav class="site-nav-mobile text-dark">
					<a href="#" class="js-menu-toggle menu-toggle menu-toggle-open">
						<i class="fa fa-bars icon-nav-toggle muted"></i>
						<span class="sr-only"><?php esc_html_e( 'Navigation', 'silver' ); ?></span>
					</a>
					<div id="menu" style="display: none" class="mobile-nav">
						<div class="mobile-nav-wrapper">

							<?php wp_nav_menu(
								array(
									'theme_location'  => 'primary',
									'container_class' => 'container',
									'menu_id'         => 'menu-primary-items',
									'menu_class'      => 'nav-links list-unstyled',
									'walker'          => new Silver_Bootstrap_Walker
								)
							); ?>

						</div>
						<a href="#" class="js-menu-toggle menu-toggle menu-toggle-close col-xs-1">
							<i class="fa fa-lg fa-close icon-nav-toggle"></i>
							<span class="sr-only"><?php esc_html_e( 'Close', 'silver' ); ?></span>
						</a>
					</div>
				</nav>

			</div><!-- .site-navigation -->

			<?php if ( has_nav_menu ( 'social' ) ) : ?>
				<div class="site-top-widgets col-xs-11 col-sm-4 text-right island-1">
					<?php wp_nav_menu(
						array(
							'theme_location'  => 'social',
							'depth'           => 1,
							'link_before'     => '<span class="sr-only">',
							'link_after'      => '</span>',
							'menu_class'      => 'social-icons list-inline nomargin',
							'container'       => false
						)
					); ?>
				</div>
			<?php endif; ?>

		</div>
	</div>
</div>
